// The Rails helper wraps the button in a form, breaking defined styles.
// At least we fix it in the main menu
.rui-menu-item {
  .button_to {
    height: 100%;

    input,
    button {
      display: flex;
      height: 100%;
      padding-right: 0;
      padding-left: 0;
      background-color: unset;
      color: currentcolor;
      font-variant: none;
      gap: var(--spacer-default);

      &:hover,
      &:active {
        background-color: unset;
        color: currentcolor;
      }
    }
  }
}

.rui-toolbar {
  .button_to {
    &:last-child {
      input,
      button {
        border-bottom-right-radius: var(--border-radius);
        border-top-right-radius: var(--border-radius);
      }
    }
  }
}

// Fix usages of button_to when appended to inputs.
// Example:
// button_to 'Destroy', some_url,
//           data: { confirm: t('.confirmation_message') },
//           method: :delete,
//           form_class: 'rui-field__field__append button_to', <-- Note the form classes
//           class: 'rui-button rui-button--destructive'
.rui-field__field__append {
  .button_to {
    padding: 0;

    &:first-child {
      button,
      .rui-button {
        border-bottom-left-radius: var(--spacer-small);
        border-top-left-radius: var(--spacer-small);
      }
    }

    &:last-child {
      button,
      .rui-button {
        border-bottom-right-radius: var(--spacer-small);
        border-top-right-radius: var(--spacer-small);
      }
    }
  }
}
